#!/bin/bash

gitlab-rake gitlab:backup:create

mkdir -p /mnt/dump

if [ ! "$(mount.cifs -o exec,username={{ FILE_USER }},password={{ FILE_PASSWORD }},suid,dev //backup1/wolf_db /mnt/dump)" ]; then
        ls -la /mnt/dump
        ls -ls /mnt/dump/gitlab
        find /mnt/dump/gitlab/* -iname \*.tar -mtime +30 -exec rm {} \;
        mv /var/opt/gitlab/backups/*.*  /mnt/dump/gitlab/
        cp /etc/gitlab/*.* /mnt/dump/gitlab/conf/
        cp *.* /mnt/dump/gitlab/repository/

        cd /home
        umount /mnt/dump > /dev/null 2>&1
fi

exit 0;
